[#-------------- INCLUDE AND ASSIGN PART --------------]

[#-- Assigns: General --]
[#include "/categorization/paragraphs/init.inc.ftl"]

[#-- Assigns: Get and check tags --]
[#assign categories = model.categoryCloud!]
[#assign has_categories = categories?has_content]
[#assign catCloudTitle = content.catCloudTitle!]

[#-- Assigns: Macro for Item iteration --]
[#macro assignItemValues item]
    [#-- Assigns: Get Content from List Item--]
    [#assign itemName = item.name!item.@name]
    [#assign itemDisplayName = item.displayName!itemName]
    [#assign itemLevel = item.level]
    [#assign itemLink = model.getCategoryLink(itemName)!]
[/#macro]

[#-------------- RENDERING PART --------------]

[#-- Rendering: Category Cloud --]

<div class="${divClass}" ${divID}>
    [#if has_categories]
        [#if catCloudTitle?has_content]<${def.headingLevel!"h3"}>${catCloudTitle}</${def.headingLevel!"h3"}>[/#if]
        <ul>
            [#list categories as item]
                [#-- Macro: Item Assigns --]
                [@assignItemValues item=item /]
                <li class="${itemLevel}">
                    <a href="${itemLink}" >${itemDisplayName}</a>
                </li>
            [/#list]
        </ul>
    [/#if]
</div>
