[#-------------- INCLUDE AND ASSIGN PART --------------]

[#-- Include: Global --]
[#include "/mte/templates/macros/pagination.ftl"]

[#-- Assigns: Get and check Latest News --]
[#assign pager = model.pager!]
[#assign taggedContent = pager.pageItems!]
[#assign hasTaggedContent = taggedContent?has_content]

[#-- Assigns: Macro for Item iteration --]
[#macro assignItemValues item]
    [#-- Assigns: Get Content from List Item--]
    [#assign itemTitle = item.title!item.@name]
    [#assign itemText = cmsfn.abbreviateString(item.abstract!, 100)]
    [#assign itemKicker = item.kicker!]
    [#assign itemDate = item.date!]
    [#assign itemLink = cmsfn.link(item)!]
    [#-- Only if damfn are available can get the asset link --]
    [#if damfn?? && item.teaserImg?has_content]
        [#assign itemImageLink = damfn.getAssetLink(item.teaserImg, "teaser")!]
    [/#if]

    [#-- Assigns: Define alt for image tag --]
    [#if itemImageLink?has_content]
        [#assign imageAlt = itemTitle]
    [#else]
        [#assign imageAlt = "${i18n['image.resolveError']}"]
    [/#if]

    [#-- Assigns: Is Content Available of Item--]
    [#assign hasDate = itemDate?has_content]
    [#assign hasKicker = itemKicker?has_content]
    [#assign hasText = itemText?has_content]
    [#assign hasImageLink = itemImageLink?has_content]
    [#assign divClass="teaser"]
    [#if !hasImageLink][#assign divClass="teaser mod"][/#if]
[/#macro]



[#-------------- RENDERING PART --------------]

[#-- Rendering: Latest News --]

<div id="page-intro">
    <h1>${model.displayName!}</h1>
    [#if content.text?has_content]
      <p>${content.text}</p>
    [/#if]
</div>
[#-- Macro: Pager --]
[@pagination pager "top" /]

[#if hasTaggedContent]

    [#list taggedContent as item]
        [#-- Macro: Item Assigns --]
        [@assignItemValues item=item/]

        [#-- Rendering: Item rendering --]
        <div id="teaser-${item_index + 1}" class="${divClass}">

            [#if hasImageLink]<img src="${itemImageLink}" alt="${imageAlt}" />[/#if]
            <h2>
                <a href="${itemLink}">
                    [#if hasKicker]<em>${itemKicker}</em>[/#if]
                    ${itemTitle}
                </a>
            </h2>
            <p>[#if hasDate]<em class="date">${itemDate?date?string.medium}</em>[/#if] [#if hasText]${itemText}[/#if] <em class="more"><a href="${itemLink}">${i18n['link.readon']} <span> ${itemTitle}</span></a></em></p>
        </div>
    [/#list]

[#else]
    <p>${i18n['categoryOverview.noResults']}</p>
[/#if]
[#-- Macro: Pager --]
[@pagination pager "bottom" /]


